# MeshDataStructure::TEdge Class Reference

Inheritance diagram for MeshDataStructure::TEdge:

List of all members.

## Public Member Functions
| TEdge ()
boolean | IsValidEdge () const
| An invalid edge is an edge that has been deleted from the mesh.
boolean | IsPartOfPolygon (int32 polygonIndex) const
boolean | ContainsVertex (int32 vertexIndex) const
void | SetVertices (int32 pt1, int32 pt2)
int32 | GetVertex (int32 vertexIndex) const
int32 | GetOtherPoint (int32 vertexIndex) const
void | AddPolygon (int32 index)
void | RemovePolygon (int32 index)
void | RemoveAllPolygons ()
int32 | GetPolygon (int32 index) const
int32 | GetPolygonCount () const
int32 | GetOtherPolygon (int32 polygonIndex) const
real | GetMagnitudeSquared (TMesh &mesh) const
boolean | GetCrease () const
void | SetCrease (boolean crease)
## Protected Attributes
int32 | fVertices [2]
TMCArray< int32 > | fPolygons
boolean | fCrease

## Constructor & Destructor Documentation

MeshDataStructure::TEdge::TEdge | ( |  | ) |

## Member Function Documentation

void MeshDataStructure::TEdge::AddPolygon | ( | int32 | index | ) |

boolean MeshDataStructure::TEdge::ContainsVertex | ( | int32 | vertexIndex | ) | const`[inline]`

boolean MeshDataStructure::TEdge::GetCrease | ( |  | ) | const`[inline]`

real MeshDataStructure::TEdge::GetMagnitudeSquared | ( | TMesh & | mesh | ) | const

int32 MeshDataStructure::TEdge::GetOtherPoint | ( | int32 | vertexIndex | ) | const`[inline]`

int32 MeshDataStructure::TEdge::GetOtherPolygon | ( | int32 | polygonIndex | ) | const`[inline]`

int32 MeshDataStructure::TEdge::GetPolygon | ( | int32 | index | ) | const`[inline]`

int32 MeshDataStructure::TEdge::GetPolygonCount | ( |  | ) | const`[inline]`

int32 MeshDataStructure::TEdge::GetVertex | ( | int32 | vertexIndex | ) | const`[inline]`

boolean MeshDataStructure::TEdge::IsPartOfPolygon | ( | int32 | polygonIndex | ) | const`[inline]`

boolean MeshDataStructure::TEdge::IsValidEdge | ( |  | ) | const`[inline]`

An invalid edge is an edge that has been deleted from the mesh.

void MeshDataStructure::TEdge::RemoveAllPolygons | ( |  | ) | `[inline]`

void MeshDataStructure::TEdge::RemovePolygon | ( | int32 | index | ) |

void MeshDataStructure::TEdge::SetCrease | ( | boolean | crease | ) | `[inline]`

void MeshDataStructure::TEdge::SetVertices | ( | int32 | pt1,
|  | int32 | pt2 |
| ) |  |  | `[inline]`

## Member Data Documentation

boolean MeshDataStructure::TEdge::fCrease`[protected]`

TMCArray<int32> MeshDataStructure::TEdge::fPolygons`[protected]`

int32 MeshDataStructure::TEdge::fVertices[2]`[protected]`

The documentation for this class was generated from the following file:

- MeshDataStructure.h